XINE, A Free Video Player Project - API reference

Main Page Modules Data Structures File List Data Fields Globals

# Init functions

## Modules
Possible demuxer guessing strategy.
UI communication callbacks.
Configuration structure type.
## Functions
config_values_t* | config_file_init (char *filename)
| Configuration file initialisation.
xine_t* | xine_init (vo_driver_t *vo, ao_driver_t *ao, config_values_t *config, gui_stream_end_cb_t stream_end_cb, gui_get_next_mrl_cb_t get_next_mrl_cb, gui_branched_cb_t branched_cb)
| Initialisation of xine.
void | xine_exit (xine_t *self)
| De-initialisation of xine.

## Function Documentation

config_values_t * config_file_init ( | char * filename )

  | Configuration file initialisation. Parameters:
  filename | Pathname of configuration file.
  Returns: Current config See also: config_values_t Warning: This function should be called at least one time before xine_init() call. Read config file and init a config object of config_values_t type (if it exists) Parameters:
  filename |

void xine_exit ( | xine_t * self )

  | De-initialisation of xine. Parameters:
  self | Current xine engine configuration.
  Returns: Nothing See also: xine_init() De-init xine engine. Parameters:
  self |

xine_t * xine_init ( | vo_driver_t * vo,
| ao_driver_t * ao,
| config_values_t * config,
| gui_stream_end_cb_t stream_end_cb,
| gui_get_next_mrl_cb_t get_next_mrl_cb,
| gui_branched_cb_t branched_cb )

  | Initialisation of xine. Parameters:
  vo | video driver ( see xine_load_video_output_plugin() )
  ao | audio driver ( see xine_load_audio_output_plugin() )
  config | current configuration ( see config_file_init() )
  stream_end | cb called on stream end
  get_next_mrl_cb | called to find out next mrl for seamless branching
  branched_cb | called if seamless branch was taken
  Returns: Current xine engine configuration See also: vo_driver_t, ao_driver_t, config_values_t, gui_stream_end_cb_t, gui_get_next_mrl_cb_t, gui_branched_cb_t Warning: This function should be called before any other xine_*() function. Init of xine. It should called once at startup. all callbacks may be NULL if ui is not interested in them for whatever reason ao may be NULL for no audio playback Parameters:
  vo |
  ao |
  config |
  stream_end_cb |
  get_next_mrl_cb |
  branched_cb |